Summary:	Utility to control ethernet cards
Summary(es.UTF-8):	Grupos de herramientas Ethernet
Summary(pl.UTF-8):	Narzędzie do kontrolowania kart ethernet
Summary(pt_BR.UTF-8):	Ferramenta de configuração para placas ethernet PCI
Name:		ethtool
Version:	5.4
Release:	1
Epoch:		1
License:	GPL v2
Group:		Networking/Admin
Source0:	https://www.kernel.org/pub/software/network/ethtool/%{name}-%{version}.tar.xz
# Source0-md5:	3d4bbf2be9fb25059186691918eaffe9
URL:		https://www.kernel.org/pub/software/network/ethtool/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ethtool is a small utility for examining and tuning your
ethernet-based network interface.

%description -l es.UTF-8
Grupos de herramientas Ethernet.

%description -l pl.UTF-8
ethtool to niewielkie narzędzie do kontroli i tuningu sieciowych kart
ethernet.

%description -l pt_BR.UTF-8
Este utilitário permite consulta e alteração da configuração de placas
ethernet, como velocidade, porta, negociação automática e localização
PCI.

%package -n bash-completion-%{name}
Summary:	Bash completion for ethtool command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia ethtool
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for ethtool command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia ethtool.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README
%attr(755,root,root) %{_sbindir}/ethtool
%{_mandir}/man8/ethtool.8*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}
%changelog
* Fri Mar 13 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ethtool.git;a=log;h=master

* Sat Feb 08 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c69477
- up to 5.4

* Wed Sep 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 01ae465
- updated to 5.3

* Sun Sep 01 2019 Jakub Bogusz <qboosh@pld-linux.org> d88bd08
- updated to 5.2

* Sat May 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 3407524
- bash-completion subpackage

* Sat May 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 367ba5a
- updated to 5.1

* Sun Mar 31 2019 Jan Rękorajski <baggins@pld-linux.org> 6c9e909
- release 2 (by relup.sh)

* Thu Mar 14 2019 Adam Gołębiowski <adamg@pld-linux.org> faed291
- updated to 5.0

* Sat Nov 03 2018 Adam Gołębiowski <adamg@pld-linux.org> 7eda394
- updated to 4.19

* Wed Oct 03 2018 Adam Gołębiowski <adamg@pld-linux.org> c6fcf1e
- updated to 4.18

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 9c14416
- updated to 4.17

* Sat Oct 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c8903e7
- up to 4.13

* Thu Jun 22 2017 Jakub Bogusz <qboosh@pld-linux.org> b176916
- updated to 4.11

* Tue Mar 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 4f5f9a7
- updated to 4.10

* Mon Oct 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 2ccfff3
- updated to 4.8

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 65ad286
- updated to 4.6

* Tue Mar 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 44286aa
- updated to 4.5

* Sun Oct 11 2015 Adam Osuchowski <adwol@pld-linux.org> c4aaad7
- up to 4.2

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 1a3ffe7
- updated to 4.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 089559e
- x32 rebuild
- release 2 (by relup.sh)

* Sat Dec 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 731841a
- updated to 3.18

